%global momorel 4

Summary: httpd module for FastCGI
Name: mod_fastcgi
Version: 2.4.2
Release: %{momorel}m
License: see "LICENSE.TERMS"
Group: System Environment/Daemons
Source: http://www.fastcgi.com/dist/mod_fastcgi-%{version}.tar.gz
NoSource: 0
Source1: fastcgi.conf
URL: http://www.fastcgi.com
BuildRoot: /var/tmp/%{name}-%{version}-root/
Requires: webserver
BuildPreReq: httpd-devel >= 2.0.53
BuildPreReq: gcc-c++ >= 3.4.1-1m
BuildPreReq: libtool >= 1.5-5m

%define apache_libexecdir /usr/lib/httpd/modules
%define apache_includedir /usr/include/httpd
%define apache_serverroot /etc/httpd

%description
mod_fastcgi is a free, open-source Apache httpd module for FastCGI.

%prep

%setup -q

%build
make -f Makefile.AP2 \
  top_dir="%{apache_serverroot}" \
  INCLUDES="-I%{apache_includedir}" \
  LIBTOOL='libtool --tag=CXX' 

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{apache_libexecdir}
install -m 755 .libs/mod_fastcgi.so %{buildroot}%{apache_libexecdir}
mkdir -p %{buildroot}%{apache_serverroot}/conf.d
install -m 644 %{SOURCE1} \
   %{buildroot}%{apache_serverroot}/conf.d/fastcgi.conf.dist

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc CHANGES README docs/*
%config(noreplace) %{apache_serverroot}/conf.d/fastcgi.conf.dist
%{apache_libexecdir}/mod_fastcgi.so

%changelog
* Wed Feb  9 2005 Toru Hoshina <t@momonga-linux.org>
- (2.4.2-4m)
- large file support. rebuild against httpd 2.0.53.

* Thu Aug 26 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (2.4.2-3m)
- rebuild against gcc-c++-3.4.1 (add BuildPrereq: gcc-c++, libtool)

* Mon Jul 19 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (2.4.2-2m)
- stop service

* Sun Jun 27 2004 Masahiro Takahata <takahata@momonga-linux.org>
- fixed apache_libexecdir apache_includedir apache_serverroot

* Wed May 12 2004 Shotaro Kamio <skamio@momonga-linux.org>
- fixed apxs paths.

* Mon Apr  5 2004 Kazuhiko <kazuhiko@fdiary.net>
- (2.4.2-1m)
- initial import to Momonga
